table.insert( perk_list,
{
	id = "REGENERATING_SHIELD_SHIELD",
	ui_name = "Regenerating Shield",
	ui_description = "$perkdesc_regenerating_shield",
	ui_icon = "mods/regenerating_shield/files/regenerating_shield_perk_ui.png",
	perk_icon = "mods/regenerating_shield/files/regenerating_shield_perk.png",
	stackable = STACKABLE_YES,
	max_in_perk_pool = 1,
	func = function( entity_perk_item, entity_who_picked, item_name )
		local stacks = GlobalsGetValue( "regenerating_shield_stacks", 0 )
		GlobalsSetValue( "regenerating_shield_stacks", stacks+1 )
	end,
	func_remove = function( entity_who_picked )
		GlobalsSetValue( "regenerating_shield_stacks", 0 )
	end,
})